<?php
/**
 * Module
 *
 * @author Semenov Alexander <semenov@skeeks.com>
 * @link http://skeeks.com/
 * @copyright 2010-2014 SkeekS (Sx)
 * @date 20.01.2015
 * @since 1.0.0
 *
 *
 * @see http://geocode-maps.yandex.ru/1.x/?geocode=%D0%9A%D0%BE%D0%BD%D0%B4%D1%80%D0%BE%D0%B2%D0%BE
 * @see https://tech.yandex.ru/maps/doc/geocoder/
 */
namespace skeeks\modules\cms\kladr;

use skeeks\cms\base\Module as CmsModule;
use skeeks\cms\App;
use yii\helpers\Inflector;

/**
 * Class Module
 * @package skeeks\modules\cms\kladr
 */
class Module extends CmsModule
{
    public $controllerNamespace = 'skeeks\modules\cms\kladr\controllers';

    /**
     * @return array
     */
    protected function _descriptor()
    {
        return array_merge(parent::_descriptor(), [
            "name"          => "База стран, регионов и городов",
            "description"   => "База стран и адресов, самодельный kladr",
        ]);
    }

}