<?php
/**
 * AdminRoadController
 *
 * @author Semenov Alexander <semenov@skeeks.com>
 * @link http://skeeks.com/
 * @copyright 2010-2014 SkeekS (Sx)
 * @date 22.01.2015
 * @since 1.0.0
 */
namespace skeeks\modules\cms\kladr\controllers;

use skeeks\cms\models\Comment;
use skeeks\cms\models\Publication;
use skeeks\cms\models\searchs\Publication as PublicationSearch;
use skeeks\cms\modules\admin\controllers\AdminController;
use skeeks\cms\modules\admin\controllers\AdminModelEditorSmartController;
use skeeks\cms\modules\admin\controllers\AdminModelEditorController;
use skeeks\cms\modules\admin\controllers\helpers\rules\NoModel;
use skeeks\modules\cms\kladr\helpers\Updater;
use skeeks\modules\cms\kladr\helpers\VkApi;
use skeeks\modules\cms\kladr\models\AdministrativeArea;
use skeeks\modules\cms\kladr\models\City;
use skeeks\modules\cms\kladr\models\Country;
use skeeks\modules\cms\kladr\models\Locality;
use skeeks\modules\cms\kladr\models\Metro;
use skeeks\modules\cms\kladr\models\Road;
use skeeks\modules\cms\kladr\models\SubAdministrativeArea;
use Yii;
use skeeks\cms\models\User;
use skeeks\cms\models\searchs\User as UserSearch;
use yii\helpers\ArrayHelper;

/**
 * Class AdminRoadController
 * @package skeeks\modules\cms\kladr\controllers
 */
class AdminRoadController extends AdminModelEditorSmartController
{
    public function init()
    {
        $this->_label                   = "Управление шоссе";

        $this->_modelShowAttribute      = "name";
        $this->_modelClassName          = Road::className();

        parent::init();
    }
}
