<?php
/**
 * m150119_150559_insert_data
 *
 * @author Semenov Alexander <semenov@skeeks.com>
 * @link http://skeeks.com/
 * @copyright 2010-2014 SkeekS (Sx)
 * @date 22.01.2015
 * @since 1.0.0
 */
use yii\db\Schema;
use yii\db\Migration;
use skeeks\sx\File;

class m150119_150559_insert_data extends Migration
{
    public function up()
    {
        \Yii::$app->db->createCommand("DELETE FROM {{%kladr_country}}")->execute();
        \Yii::$app->db->createCommand("ALTER TABLE {{%kladr_country}} auto_increment = 1")->execute();
        $file = File::object(__DIR__ . '/data/country.sql');
        \Yii::$app->db->createCommand($file->read())->execute();

        \Yii::$app->db->createCommand("DELETE FROM {{%kladr_region}}")->execute();
        \Yii::$app->db->createCommand("ALTER TABLE {{%kladr_region}} auto_increment = 1")->execute();
        $file = File::object(__DIR__ . '/data/region.sql');
        \Yii::$app->db->createCommand($file->read())->execute();

        \Yii::$app->db->createCommand("DELETE FROM {{%kladr_city}}")->execute();
        \Yii::$app->db->createCommand("ALTER TABLE {{%kladr_city}} auto_increment = 1")->execute();
        $file = File::object(__DIR__ . '/data/city.sql');
        \Yii::$app->db->createCommand($file->read())->execute();
    }

    public function down()
    {
        \Yii::$app->db->createCommand("DELETE FROM {{%kladr_city}}")->execute();
        \Yii::$app->db->createCommand("ALTER TABLE {{%kladr_city}} auto_increment = 1")->execute();

        \Yii::$app->db->createCommand("DELETE FROM {{%kladr_region}}")->execute();
        \Yii::$app->db->createCommand("ALTER TABLE {{%kladr_region}} auto_increment = 1")->execute();

        \Yii::$app->db->createCommand("DELETE FROM {{%kladr_country}}")->execute();
        \Yii::$app->db->createCommand("ALTER TABLE {{%kladr_country}} auto_increment = 1")->execute();
    }
}
