<?php
/**
 * m150119_160559_insert_data_metro
 *
 * @author Semenov Alexander <semenov@skeeks.com>
 * @link http://skeeks.com/
 * @copyright 2010-2014 SkeekS (Sx)
 * @date 22.01.2015
 * @since 1.0.0
 */
use yii\db\Schema;
use yii\db\Migration;
use skeeks\sx\File;

class m150119_160559_insert_data_metro extends Migration
{
    public function up()
    {
        \Yii::$app->db->createCommand("DELETE FROM {{%kladr_metro}}")->execute();
        \Yii::$app->db->createCommand("ALTER TABLE {{%kladr_metro}} auto_increment = 1")->execute();

        $city = \skeeks\modules\cms\kladr\models\City::find()->where(["name" => "Москва"])->one();

        $databaseMetro = include(__DIR__ . '/data/metro.php');
        foreach ($databaseMetro as $data)
        {
            $metro = new \skeeks\modules\cms\kladr\models\Metro();
            $metro->name = $data['name'];
            $metro->kladr_city_id = $city->id;

            $metro->save(false);
        }
    }

    public function down()
    {
        \Yii::$app->db->createCommand("DELETE FROM {{%kladr_metro}}")->execute();
        \Yii::$app->db->createCommand("ALTER TABLE {{%kladr_metro}} auto_increment = 1")->execute();
    }
}
