<?php

use yii\helpers\Html;
use skeeks\cms\modules\admin\widgets\ActiveForm;
use skeeks\cms\models\Tree;

/* @var $this yii\web\View */
/* @var $model Tree */

?>


<?php $form = ActiveForm::begin(); ?>

<?= $form->field($model, 'name')->textInput(['maxlength' => 255]) ?>
<?= $form->field($model, 'name_full')->textInput(['maxlength' => 255]) ?>
<?= $form->field($model, 'name_where')->textInput(['maxlength' => 255]) ?>

<?= $form->field($model, 'alias')->textInput(['maxlength' => 255]) ?>
<?= $form->field($model, 'dialcode')->textInput(['maxlength' => 255]) ?>

<?/*= $form->field($model, 'kladr_country_id')->widget(
    \skeeks\widget\chosen\Chosen::className(), [
        'items' => \yii\helpers\ArrayHelper::map(
            \skeeks\modules\cms\kladr\models\Country::find()->all(),
            'id', 'name'
        )
    ]);
*/?><!--

--><?/*= $form->field($model, 'kladr_region_id')->widget(
    \skeeks\widget\chosen\Chosen::className(), [
        'items' => \yii\helpers\ArrayHelper::map(
            \skeeks\modules\cms\kladr\models\Region::find()->all(),
            'id', 'name'
        )
    ]);
*/?>

<?= $form->field($model, 'lat')->widget(
    \skeeks\modules\cms\kladr\widgets\form\Select::className(), [
    ]);
?>

<?= $form->field($model, 'lat')->label(false)->widget(
    \skeeks\cms\widgets\formInputs\yandex\Map::className(), [
        'fieldNameLat' => 'lat',
        'fieldNameLng' => 'lng',
        'showAddressField' => false,
    ]);
?>
<?= $form->buttonsCreateOrUpdate($model); ?>

<?php ActiveForm::end(); ?>